import { axios } from '@/utils/request'

//  销售详情 列表  分页
export const salesDetailList = (params) => {
  const url = `/salesDetail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('销售单明细列表')
    }
  })
}

// 查询已经添加的产品sn数组
export const queryCheckedList = (params) => {
  return axios({
    url: `/salesDetail/queryProductSnListBySalesBillSn/${params.salesBillSn}`,
    method: 'post'
  })
}

//  销售详情 新增配件
export const salesDetailInsert = (params) => {
  return axios({
    url: '/salesDetail/insert',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('添加')
    }
  })
}
// 批量新增
export const salesDetailInsertBatch = (params) => {
  return axios({
    url: '/salesDetail/insertBatch',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('批量添加')
    }
  })
}
//  销售详情 修改价格
export const salesDetailUpdatePrice = (params) => {
  return axios({
    url: '/salesDetail/updatePrice',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('修改价格')
    }
  })
}
//  销售详情 修改数量
export const salesDetailUpdateQty = (params) => {
  return axios({
    url: '/salesDetail/updateQty',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('修改数量')
    }
  })
}
//  销售详情 删除
export const salesDetailDel = (params) => {
  return axios({
    url: `/salesDetail/delete/${params.id}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除')
    }
  })
}
//  销售详情 清空列表
export const salesDetailDelAll = (params) => {
  return axios({
    url: `/salesDetail/deleteBySalesBillSn/${params.salesBillSn}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('清空列表')
    }
  })
}

// 销售记录
export const salesRecordlList = (params) => {
  const url = `/salesDetail/querySalesRecord/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('销售记录')
    }
  })
}

// 导入销售产品明细
export const salesDetailImportDetail = (params) => {
  return axios({
    url: '/salesDetail/importDetail',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('导入产品')
    }
  })
}
// 确认导入明细
export const salesDetailInsertImport = (params) => {
  return axios({
    url: '/salesDetail/insertImport',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('确认导入产品')
    }
  })
}
// 销售明细错误导出
export const salesDetailFailExcel = (params) => {
  return axios({
    url: '/salesDetail/exportImportDetailError',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('错误项导出')
    }
  })
}